Bug 1610415 - Unhelpful error messages when manifest can't be found upstream
Summary: Unhelpful error messages when manifest can't be found upstream
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Subscription Management
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.4.0
Assignee: Liza
QA Contact: Jitendra Yejare
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-31 14:52 UTC by Mirek Zalewski
Modified: 2019-11-05 23:31 UTC (History)
3 users (show)

Fixed In Version: tfm-rubygem-katello-3.7.0.28-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 19:05:34 UTC
Target Upstream Version:


Attachments (Terms of Use)
Excerpt from foreman log file (57.30 KB, text/plain)
2018-07-31 14:52 UTC, Mirek Zalewski
no flags Details
Page load after deleting allocation on RHSM. (81.00 KB, image/png)
2018-08-03 12:31 UTC, Brad Buckingham
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 24535 None None None 2018-08-03 17:07:51 UTC

Description Mirek Zalewski 2018-07-31 14:52:09 UTC
Created attachment 1471864 [details]
Excerpt from foreman log file

If manifest can't be found upstream (usually in RHSM), "Subscriptions" page will display unhelpful error message that consists only of HTTP error. Satellite log is a bit better, but still doesn't make it easy to understand what the issue is.

Manifest might be missing from upstream if it was deleted there (this will result in error 410) or if manifest if was manually changed (this will result in error 404 and is probably done only by robottelo test framework).


Version-Release number of selected component (if applicable):
satellite-6.4.0-10.beta.el7sat.noarch
foreman-1.18.0.4-1.el7sat.noarch
katello-3.7.0-4.rc2.el7sat.noarch


Steps to Reproduce:
1. Go to access.redhat.com, create new subscription allocation, allocate some product and download manifest file
2. In Satellite, create new organization and upload manifest file
3. In access.redhat.com, remove subscription allocation created in step 1
4. In Satellite, go to Content -> Subscriptions

Actual results:
Following error message is displayed:
"410 Gone"

If instead of removing subscription, we manually change zip content ("uuid" must be changed in manifest.zip/consumer_export.zip/export/consumer.json), then error message will be "404 Not Found".

It's impossible to tell what caused this error and how to solve it.


Expected results:
More helpful error message is displayed.

Comment 1 Brad Buckingham 2018-08-03 12:30:25 UTC
Attaching screenshot of the error.

Note: in 6.3, this error will not exist, since there is no API call to the RHSM for upstream allocation information.

Comment 2 Brad Buckingham 2018-08-03 12:31:31 UTC
Created attachment 1472961 [details]
Page load after deleting allocation on RHSM.

Comment 4 Walden Raines 2018-08-03 17:07:50 UTC
Created redmine issue https://projects.theforeman.org/issues/24535 from this bug

Comment 5 Walden Raines 2018-08-03 17:14:57 UTC
Should we target this for 6.4?  Not sure how common of a usecase deleting a manifest is though.

Comment 6 pm-sat@redhat.com 2018-09-06 18:04:04 UTC
Upstream bug assigned to egilman@redhat.com

Comment 7 pm-sat@redhat.com 2018-09-06 18:04:07 UTC
Upstream bug assigned to egilman@redhat.com

Comment 8 pm-sat@redhat.com 2018-09-11 14:03:50 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/24535 has been resolved.

Comment 10 Jitendra Yejare 2018-09-18 13:04:00 UTC
Verified!

@ Satellite 6.4 snap 22

Steps:

1. Go to access.redhat.com, created new subscription allocation, allocated some product and downloaded manifest file
2. In Satellite, created new organization and upload manifest file
3. In access.redhat.com, deleted manifest
4. In Satellite, go to Content -> Subscriptions


Observation:

The Satellite subscription page showed the subscriptions is No Loner available and 'No error as said in the description of this bug is shown'.

Comment 11 Bryan Kearney 2018-10-16 19:05:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.